# SCsInRussia.tcl

#   mnfc  ? (0  1)
proc manufacturerRu { mnfc } {
   if {$mnfc eq "Sun Microsystems"} {return 0}
   if {$mnfc eq "Hewlett-Packard" } {return 0} 
   if {$mnfc eq "IBM"             } {return 0}
   if {$mnfc eq "SGI"             } {return 0}  

   if {$mnfc eq "Self-made"       } {return 1}
   if {$mnfc eq "T-Platforms"     } {return 1}
   if {$mnfc eq "RSC SKIF"        } {return 1}
   if {$mnfc eq "RSC Group"       } {return 1}
   if {$mnfc eq "SKIF/T-Platforms"} {return 1}
   debug "manufacturerRu: $mnfc --   Manufacturer  RU"
   log "Warning! manufacturerRu($mnfc) --   Manufacturer  RU"
   return 0
}

# CSV- SCsInRussia.CSV --      
# ruSCs   no i rmax 0/1 --   
proc SCsInRussia { } {
   global gtab max_no
   global ruSCs
  
   log "  "
   openCSV "SCsInRussia"
   logCSV "  "
    
   set ruSCs {}
   logCSV "Edition,Rank,Rmax,Year,Site,Manufacturer,Computer"
   for {set no 0} {$no <= $max_no} {incr no} {
      set ed [no2edExcel $no]
      for {set i 1} {$i <= 500} {incr i} {
         set d $gtab($no,$i,Domain)
         if {$d eq "RU"} {
            set rmax [expr double($gtab($no,$i,RMax))]
            set year $gtab($no,$i,Year)
            set site $gtab($no,$i,Site)
            set mnfc $gtab($no,$i,Manufacturer)
            set cmpt $gtab($no,$i,Computer)
            logCSV "$ed,$i,$rmax,$year,$site,$mnfc,$cmpt"
            lappend ruSCs $no $i $rmax [manufacturerRu $mnfc]
         }
      }
   }
   closeCSV
}   

