# utils.tcl

#  ,   
proc linear { x1 y1 x2 y2 x } {
   return [expr $y1 + ($y2-$y1) * ($x-$x1) / ($x2-$x1)]
}

# [interval i1 i2] => { i1 .. i2 }
proc interval { i1 i2 } {
   for {set i $i1} {$i <= $i2} {incr i} {
      lappend seti $i
   }
   return $seti
}

proc max { a b } {
   return [expr ( $a < $b ? $b : $a )]
}

proc min { a b } {
   return [expr ( $a > $b ? $b : $a )]
}

# x<-[y..z] --     
proc limits { x y z} {
   if {$x < $y} {return $y}
   if {$x > $z} {return $z}
   return $x
}
