# ioUtils.tcl

proc strTime { } {
   return [clock format [clock seconds] -format "%d/%m/%Y %H:%M:%S"]
}

proc log { str } {
   global fout
   .mw.text insert end "\n$str"
   .mw.text see end
   puts $fout $str
   update
}

proc log0 { str } {
   global fout
   .mw.text insert end $str
   .mw.text see end
   puts -nonewline $fout $str
   update
}

#  CSV-a
proc openCSV { fname } {
   global outCSV
   set fn [regsub -all {[.]} $fname ""]
   set fn "ResultsCSV\\$fn.csv"
	 log0 " Writing ($fn)..." 
	 set outCSV [open $fn w]
}

proc closeCSV { } {
   global outCSV
   catch { close $outCSV }
	 log0 "Closed" 
}

proc logCSV { str } {
   global outCSV
   puts $outCSV $str
}

proc logCSV0 { str } {
   global outCSV
   puts -nonewline $outCSV $str
}

